Library Version 18.1.40

Db::get_ext_file_dir()
Prev | Chapter 14. External Files | Next

## Db::get_ext_file_dir()

    #include <db_cxx.h>

    int
    Db::get_ext_file_dir(const char **dirp);

The `Db::get_ext_file_dir()` method returns the directory location where external file data is stored. The default location can be set using Db::set_ext_file_dir() . Use this method only if the database was not opened in an environment. If the database was opened within an encompassing environment, use DbEnv::get_ext_file_dir() instead.

The `Db::get_ext_file_dir()` method always returns 0 to indicate success.

### Parameters

#### dirp

The dirp parameter references memory into which is copied the path to the external file data directory.

### Class

DbEnv

### See Also

External Files and Related Methods

Prev | Up | Next
Chapter 14. External Files | Home | Db::get_ext_file_threshold()